Update a Store Credit Type
Updates a Store Credit Type
PATCH
/
api
/
v2
/
platform
/
store_credit_types
/
{id}
Update a Store Credit Type
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({store_credit_type: {name: 'refunded', priority: 1}})
};
fetch('http://{defaultHost}/api/v2/platform/store_credit_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/store_credit_types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store_credit_type": {
"name": "refunded",
"priority": 1
}
}
'{
"data": {
"id": "9",
"type": "store_credit_type",
"attributes": {
"name": "default",
"priority": 1,
"created_at": "2022-11-08T19:35:37.442Z",
"updated_at": "2022-11-08T19:35:37.670Z"
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Record updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a Store Credit Type
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({store_credit_type: {name: 'refunded', priority: 1}})
};
fetch('http://{defaultHost}/api/v2/platform/store_credit_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/store_credit_types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store_credit_type": {
"name": "refunded",
"priority": 1
}
}
'{
"data": {
"id": "9",
"type": "store_credit_type",
"attributes": {
"name": "default",
"priority": 1,
"created_at": "2022-11-08T19:35:37.442Z",
"updated_at": "2022-11-08T19:35:37.670Z"
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}
